aboutsummaryrefslogtreecommitdiff
path: root/.local
diff options
context:
space:
mode:
authorJustine Smithies <justine@smithies.me.uk>2024-04-13 09:25:45 +0100
committerJustine Smithies <justine@smithies.me.uk>2024-04-13 09:25:45 +0100
commit4687c6818ebb15dc6d62384dacfcb1837098d6b6 (patch)
tree830ed89b85d4c86dd7fe4e9f0841e52f1c40a0c6 /.local
parent13e032386b1fed5fb988cb4320e5fcfc67877606 (diff)
Initial commit of emoji-menu
Diffstat (limited to '.local')
-rwxr-xr-x.local/bin/emoji-menu19
1 files changed, 19 insertions, 0 deletions
diff --git a/.local/bin/emoji-menu b/.local/bin/emoji-menu
new file mode 100755
index 0000000..6b20513
--- /dev/null
+++ b/.local/bin/emoji-menu
@@ -0,0 +1,19 @@
+#!/bin/sh -eu
+# From: https://git.sr.ht/~emersion/dotfiles/tree/6575f89856d012c2c31e9e7d2c807f350c7503d4/item/bin/emoji-menu
+# This version uses `fuzzel` instead of `menu`.
+
+default_cache_home=~/.cache
+cache_home="${XDG_CACHE_HOME:-$default_cache_home}"
+mkdir -p "$cache_home"
+data_file="$cache_home/emoji-menu.json"
+
+if ! [ -f "$data_file" ]; then
+ curl -o "$data_file" -L "https://github.com/github/gemoji/raw/master/db/emoji.json"
+fi
+
+filter='.[] | (.emoji + " " + .description + " (" + (.aliases | join(", ")) + ")")'
+sel="$(jq -r "$filter" <"$data_file" | fuzzel --no-exit-on-keyboard-focus-loss -d | cut -d ' ' -f 1 | tr -d '\n')"
+if [ -n "$sel" ]; then
+ # wl-ime-type "$sel"
+ wl-copy "$sel"
+fi